"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const zlib = __importStar(require("zlib"));
const compressionOptions = {
    level: zlib.constants.Z_BEST_COMPRESSION,
};
function compress(buffer) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            zlib.deflateRaw(buffer, compressionOptions, (err, data) => {
                if (err)
                    reject(err);
                else
                    resolve(data);
            });
        });
    });
}
exports.compress = compress;
function decompress(buffer) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            zlib.inflateRaw(buffer, compressionOptions, (err, data) => {
                if (err)
                    reject(err);
                else
                    resolve(data);
            });
        });
    });
}
exports.decompress = decompress;
//# sourceMappingURL=compression.js.map